Table of Contents

## Name

glXQueryServerString - return string describing the server

## C Specification

const char * glXQueryServerString( Display *dpy,

        int screen,
        int name )

eqn not supported

## Parameters

dpy
  Specifies the connection to the X server.
screen
  Specifies the screen number.
name
  Specifies which string is returned. One of GLX_VENDOR, GLX_VERSION, or GLX_EXTENSIONS.

## Description

glXQueryServerString returns a pointer to a static, null-terminated string describing some aspect of the server's GLX extension. The possible values for name and the format of the strings is the same as for glXGetClientString. If name is not set to a recognized value, NULL is returned.

## Notes

glXQueryServerString is available only if the GLX version is 1.1 or greater.

If the GLX version is 1.1 or 1.0, the GL version must be 1.0. If the GLX version is 1.2, the GL version must be 1.1.

glXQueryServerString only returns information about GLX extensions supported by the server. Call glGetString to get a list of GL extensions. Call glXGetClientString to get a list of GLX extensions supported by the client.

## See Also

glXQueryVersion, glXGetClientString, glXQueryExtensionsString

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- See Also